Invarn Docs

The server's forums, managed or not.

GET/api/v1/servers/{guild}/forums

Authorization

session
invarn_session<token>

In: cookie

Path Parameters

guild*string

A Discord ID (or one of Invarn's, which look the same).

Match^[0-9]+$

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/servers/string/forums"
{  "forums": [    {      "forum": "string",      "name": "string",      "managed": true,      "defaultTag": "string",      "defaultReaction": "string",      "tags": [        {          "id": "string",          "name": "string",          "emoji": "string",          "moderated": true        }      ],      "statuses": [        {          "tag": "string",          "reply": "string",          "rewardRole": "string",          "lock": true,          "archiveAfter": 0        }      ]    }  ]}